<?php

namespace common\logic\User\UserProducer\Service;

use common\logic\AbstractSolver;
use common\logic\User\UserProducer\Model\UserProducer;

class UserProducerSolver extends AbstractSolver
{
    public function hasOutstandingCredit(UserProducer $userProducer): bool
    {
        return $userProducer->credit < 0 || $userProducer->credit > 0;
    }
}
